package J20250716.demo03_abstract;

/**
 * @author WanJl
 * @version 1.0
 * @title Main
 * @description
 * @create 2025/7/16
 */
public class Main {
    public static void main(String[] args) {
        Cat cat=new Cat();
        cat.eat();
        cat.drink();
        Dog dog=new Dog();
        dog.eat();
        dog.drink();

        Tom tom=new Tom();
        tom.write();
    }
}
